Bug 432286 - /usr/bin/ef does not handle arguments correctly
/usr/bin/ef does not handle arguments correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ElectricFence (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 17:25 EST by Kasper Dupont
Modified: 2015-05-04 21:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 05:54:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2008-02-10 17:25:00 EST
Description of problem:
Arguments containing whitespace are not passed correctly by /usr/bin/ef

Version-Release number of selected component (if applicable):
ElectricFence-2.2.2-23

How reproducible:
Always

Steps to Reproduce:
ef /usr/bin/printf "Hello World\n"

Changing $* to "$@" (including the quotes) would solve the problem.
Comment 1 Petr Machata 2008-02-11 05:54:18 EST
Fixed in rawhide.
Comment 2 Petr Machata 2008-02-11 06:07:28 EST
... and pending update in F 8.

Note You need to log in before you can comment on or make changes to this bug.